{ moduleFunctions }:
let
  inherit (moduleFunctions.instancesFunctions)
    domain0
    domain1
    ;
  label = "Router";
in
{
  label = label;
  name = "router";
  short = label;
  domains = {
    url0 = domain0;
    url1 = domain1;
  };
  dns = {
    provider0 = "namecheap";
    provider1 = "cloudflare";
  };
  tags = [
    "router"
    "asus"
  ];
  localhost = {
    address0 = "127.0.0.1"; # Local
    address1 = "0.0.0.0"; # All
    address2 = "192.168.50.1"; # Router
    address3 = "192.168.50.0"; # Router
    address4 = "192.168.1.0"; # Router
  };
  remotehost = {
    address0 = "24.76.173.0";
  };
  wireguard = {
    interface0 = "10.100.0.1";
  };
}
